diff --git a/pkgmngt/packFixScripts.sh.rpm b/pkgmngt/packFixScripts.sh.rpm
new file mode 100644
index 0000000..b7e71c4
--- /dev/null
+++ b/pkgmngt/packFixScripts.sh.rpm
@@ -0,0 +1,699 @@
+#!/bin/bash
+
+#### Create dependencies
+echo -n "Extracting dependency list..."
+xsltproc --nonet -o ${JHALFSDIR}/dependencies.list \
+         ${JHALFSDIR}/dependencies.xsl ${JHALFSDIR}/prbook.xml
+# Some Fixups:
+# Remove the xml header
+sed '/xml version/d' -i ${JHALFSDIR}/dependencies.list
+# Get rid of all lines containing "None"
+sed '/None/d' -i ${JHALFSDIR}/dependencies.list
+# No checkdepends for "No test suite"
+sed '/No test/d' -i ${JHALFSDIR}/dependencies.list
+# Make everything lowercase
+sed -e 's/\(.*\)/\L\1/' -i ${JHALFSDIR}/dependencies.list
+# Fix a minor wrinkle with ulink space normalization
+sed -e 's/, and/, and /' \
+    -e '/[a-z]and[a-z]/s/and/ and /' -i ${JHALFSDIR}/dependencies.list
+# "and" is unnecessary, but we have multiple variants in English
+sed '/[a-z], and/s/ and / /' -i ${JHALFSDIR}/dependencies.list
+sed 's/ and /, /' -i ${JHALFSDIR}/dependencies.list
+# Additional issue with ulink space normalization
+sed -e '/[a-z],[a-z]/s/,/, /g' -e 's/  / /g' -i ${JHALFSDIR}/dependencies.list
+# Hypenate packages with sapces in them
+sed 's/berkeley db/berkeley-db/' -i ${JHALFSDIR}/dependencies.list
+sed 's/linux api headers/linux-api-headers/' -i ${JHALFSDIR}/dependencies.list
+# Replace :: in perl package names with hyphen
+sed 's/::/-/g' -i ${JHALFSDIR}/dependencies.list
+sed 's@,@@g' -i ${JHALFSDIR}/dependencies.list
+# Remove trailing '.' characters
+sed 's@\.@@g' -i ${JHALFSDIR}/dependencies.list
+echo "done"
+
+
+
+#### Extracting urls and md5sums
+echo -n "Extracting URLs and MD5Sums list..."
+xsltproc --nonet --stringparam pkgmngt "y" \
+         --output ${JHALFSDIR}/urls.list   \
+         ${JHALFSDIR}/urls.xsl ${JHALFSDIR}/prbook.xml
+echo "done"
+
+
+
+#### Convert scripts to output spec files
+
+# Generic command and header for .spec files
+header=`mktemp`
+cat > ${header} << "EOF"
+cat > %PKGNAME%.spec << "REALEOF"
+Packager: Linux From Scratch <lfs-dev@linuxfromscratch.org>
+Name:
+Version:
+Release: 1
+Summary:
+License:
+Group: base
+BuildRequires:
+Requires:
+Suggests:
+SourceX:
+
+# Define changelog info
+%define date %(date +"%a %b %d %Y")
+%define pname "Linux From Scratch"
+%define pmail "<lfs-dev@linuxfromscrtach.org>"
+%define postinsttasks ""
+
+%description
+
+# filetriggers - only need ldconfig and install-info in LFS packages
+%transfiletriggerin -- /usr/lib /usr/lib64
+test -x /usr/sbin/ldconfig &&
+/usr/sbin/ldconfig
+
+%transfiletriggerpostun -- /usr/lib /usr/lib64
+test -x /usr/sbin/ldconfig &&
+/usr/sbin/ldconfig
+
+%filetriggerin -- /usr/share/info
+test -x /usr/bin/install-info &&
+rm -f /usr/share/info/dir &&
+for file in /usr/share/info/*.info*; do
+  /usr/bin/install-info ${file} /usr/share/info/dir
+done
+
+%filetriggerpostun -- /usr/share/info
+test -x /usr/bin/install-info &&
+rm -f /usr/share/info/dir &&
+for file in /usr/share/info/*.info*; do
+  /usr/bin/install-info ${file} /usr/share/info/dir
+done
+
+EOF
+
+# Generic command and header for .spec files
+filescl=`mktemp`
+cat > ${filescl} << "EOF"
+
+#### Generic addition to %install for all specs
+# Remove libtool archives
+find %{buildroot} -type f -name "*.la" -delete
+rm -f %{buildroot}/usr/share/info/dir
+find %{buildroot} -not -type d > files.%{name}
+sed  's@^%{buildroot}@@' -i files.%{name}
+find %{buildroot} -type d > dirs.%{name}
+sed  's@^%{buildroot}@@' -i dirs.%{name}
+sed '/\/etc\//s@^/@%config /@' -i files.%{name}
+sed '/\/var\/log\//s@^/@%config /@' -i files.%{name}
+sed '/\/usr\/share\/info\//s@$@.gz@' -i files.%{name}
+sed '/\/usr\/share\/man\//s@$@.gz@' -i files.%{name}
+sed 's@^/@%dir /@' dirs.%{name} >> files.%{name}
+
+#### The files section is also generic for all specs
+%files -f files.%{name}
+%defattr(-,root,root)
+
+#### The Changelog is also generic for all specs
+%changelog
+* %{date} %{pname}
+  %{pmail} %{version}-%{release}
+  Initial build
+
+EOF
+
+echo -e "\nProcessing .spec files (this may take a while):"
+sleep 3
+# For each file, several changes need to be made and need to be done in order
+for file in \
+  ${JHALFSDIR}/lfs-commands/chapter{08/*,09/*-bootscripts,10/*-kernel}; do
+
+  echo -n "Processing ${file}..."
+
+  # Skip pkgmgt, stripping, and revisedchroot and 8??-?? files
+  scriptfile=`basename ${file}`
+  echo "${scriptfile}" | grep -q "pkgmgt" &&
+       echo "skip" && continue;
+  echo "${scriptfile}" | grep -q "stripping" &&
+       echo "skip" && continue;
+  echo "${scriptfile}" | grep -q "revisedchroot" &&
+       echo "skip" && continue;
+  echo "${scriptfile}" | grep -q "8[0-9][0-9]-[0-9][0-9]" &&
+       echo "skip" && continue;
+
+  # The glibc package is a bit of a mess, so normalize it (ugly)...
+  if $(echo "${scriptfile}" | grep -q "glibc"); then
+    #Note: These break if anybody messes with the directory creation in
+    #      LFS/lfs.xsl
+    sed '/^mkdir -pv $PKG_DEST\/{/,+13d' -i ${file}
+    sed '/^for dir in/,+20d' -i ${file}
+    sed '0,/^PREV_SEC/s//PREVSEC/' -i ${file}
+    sed '/^PREV_SEC/,+3d' -i ${file}
+    sed 's/^PREVSEC/PREV_SEC/' -i ${file}
+    sed "s@^ln -sfv@PREV_SEC=\${SECONDS}\npackInstall\nSECONDS=\${PREV_SEC}\nrm -rf \$PKG_DEST\nln -sfv@" \
+        -i ${file}
+    # The glibc package no longer uses jhalfs's DESTDIR pre-populate and prune
+    sed "s@^touch@mkdir -pv \$PKG_DEST/etc\ntouch@" -i ${file}
+  fi
+
+  # adding in the non-wide ncurses also creates some issues
+  if $(echo "${scriptfile}" | grep -q "ncurses"); then
+    if $(grep -q "^make distclean" ${file}); then
+      start=`grep -n "^make distclean" ${file} | cut -d ":" -f 1`
+      stop=`grep -n "^cp -av lib/lib" ${file} | cut -d ":" -f 1`
+      # cp -v -R doc/* $PKG_DEST/usr/share/doc/ncurses-6.2
+      nwtempfile=`mktemp`
+      sed -n "${start},${stop}p" ${file} > ${nwtempfile}
+      sed "${start},${stop}d" -i ${file}
+      sed "s@^for dir in@FIXME\nfor dir in@" -i ${file}
+      sed "/^FIXME/e cat ${nwtempfile}" -i ${file}
+      sed 's@^FIXME@EOF@' -i ${file}
+      rm -f ${nwtempfile}
+      unset start stop nwtempfile
+    fi
+  fi
+  unset scriptfile
+
+  # 1.  Don't untar the package, create the source direcotry, reuse $PKG_DEST
+  sed -e "s@^tar -xf \$PACKAGE@rm -rf \$PKG_DEST\ninstall -d  \$PKG_DEST@" \
+      -i ${file}
+
+  # 2.  Remove "# remap=make" comments as configure and make are combined
+  #     into %build in spec files
+  count=`grep -c "^# remap=configure" ${file}`
+  if test "${count}" != "0"; then
+    sed '/^# remap=make/d' -i ${file}
+  else
+    sed 's@^# remap=make@# remap=configure@' -i ${file}
+  fi
+
+  # 3.  Insert cat > commands and generic spec headers at
+  #     "# Start of LFS book script"
+  sed "/# Start of LFS book script/e cat ${header}" -i ${file}
+  sed -e '/^# Start of LFS book script/d' -i ${file}
+
+  # 4.  End the dump to spec - ugly but better than ranges at this point
+  sed -e '0,/^PREV_SEC/s@PREV_SEC@PREVSEC@' -i ${file}
+  sed -e "/^PREV_SEC/s@^PREV_SEC@REALEOF\nPREV_SEC@" -i ${file}
+  sed 's@^PREVSEC@PREV_SEC@' -i ${file}
+
+  # 5.  Remove any duplicate "# remap={pre,configure,test,install}"
+  sed '0,/^# remap=pre/s@^# remap=pre@# remap=apre@' -i ${file}
+  sed '/^# remap=pre/d' -i ${file}
+  sed 's@^# remap=apre@# remap=pre@' -i ${file}
+  sed '0,/^# remap=conf/s@^# remap=conf@# remap=aconf@' -i ${file}
+  sed '/^# remap=conf/d' -i ${file}
+  sed 's@^# remap=aconf@# remap=conf@' -i ${file}
+  sed '0,/^# remap=test/s@^# remap=test@# remap=atest@' -i ${file}
+  sed '/^# remap=test/d' -i ${file}
+  sed 's@^# remap=atest@# remap=test@' -i ${file}
+  sed '0,/^# remap=install/s@^# remap=install@# remap=ainstall@' -i ${file}
+  sed '/^# remap=install/d' -i ${file}
+  sed 's@^# remap=ainstall@# remap=install@' -i ${file}
+
+  # 6.  Insert the command blocks
+  sed "s@^# remap=pre@\n%prep\n%setup -n %{name}-%{version}@" -i ${file}
+  sed "s@^# remap=configure@\n%build@" -i ${file}
+  sed "s@^# remap=test@\n%check@" -i ${file}
+  sed "s@^# remap=install@\n%install@" -i ${file}
+  # now end the file
+  sed "/^REALEOF/e cat ${filescl}" -i ${file}
+
+
+  # 7.  Create the %post instrucitons (only glibc needs this in LFS)
+  grep "####POSTINST####" $file >/dev/null 2>&1
+  if test "$?" -eq "0"; then
+    start=`grep -n "####POSTINST####" ${file} | cut -d ":" -f 1`
+    stop=`grep -n "####ENDPOSTINST####" ${file} | cut -d ":" -f 1`
+    version=`grep "^VERSION=" ${file} | cut -d "=" -f 2 | sed 's@"@@g'`
+    package=`grep "^PACKAGE=" ${file} | cut -d "=" -f 2 | sed 's@"@@g'`
+    package=`echo ${package} | sed "s@-${version}.*@@"`
+    post_install=`sed -n "$((${start} + 1)),$(( ${stop} - 1))p" ${file}`
+    tempfile=`mktemp`
+    echo -e "\n%post\n${post_install}\n\n" > ${tempfile}
+    sed "/^REALEOF/e cat ${tempfile}" -i ${file}
+    sed "${start},${stop}d" -i ${file}
+    rm ${tempfile}
+    unset version pacakge post_install tempfile
+  fi
+
+  # 8.  We won't use $PKGDIR, just reuse $PKG_DEST
+  sed 's@^cd $PKGDIR@cd $PKG_DEST@' -i ${file}
+  sed '/^rm -rf $PKGDIR/d' -i ${file}
+  sed '/^if \[ -d "${PKGDIR/d' -i ${file}
+
+  # 9.  Account for packages that use an alternate build dir
+  count=`grep -c "%prep" ${file}`
+  if test ${count} -gt 0; then
+    start=`grep -n "%prep" ${file} | head -n1 | cut -d ":" -f 1`
+    stoplist=`grep -n "^$" ${file} | cut -d ":" -f 1`
+    for stop in $stoplist; do
+       if test $stop -gt $start; then
+         break;
+       fi
+    done
+    prepare=`sed -n "$((${start} + 1)),$(( ${stop} - 1))p" ${file}`
+    echo ${prepare} | grep -q "mkdir.*build"
+    if test "${?}" == "0"; then
+      sed -e '/^%build/a cd build' -i ${file}
+      sed -e '/^%check/a cd build' -i ${file}
+      sed -e '/^%install/a cd build' -i ${file}
+      sed -e '/^%files/s@files\.@build/files.@' -i ${file}
+    fi
+  fi
+  unset count start stop stoplist prepare
+
+  # 10. Remove instances of ">> $TEST_LOG " - rpm has its own logging
+  sed 's@>> $TEST_LOG @@' -i ${file}
+
+  # 11. Populate Description, Name, Summary and Version values
+  version=`grep "^VERSION" ${file} | cut -d "=" -f 2 | sed 's@"@@g'`
+  package=`grep "^PACKAGE" ${file} | cut -d "=" -f 2 | sed 's@"@@g'`
+  pkgname=`echo ${package} | sed "s@${version}.*@@" | sed 's@"@@g'`
+  echo ${pkgname} | grep -q ".*-$" && \
+       pkgname=`echo ${pkgname} | sed 's@-$@@'` || true
+  sed "s@^Name:@Name: ${pkgname}@" -i ${file}
+  sed "s@^Version:@Version: ${version}@" -i ${file}
+  sed "s@^Summary:@Summary: ${pkgname} ${version}@" -i ${file}
+  # Same for %description
+  sed "/%description/a ${pkgname} ${version}" -i $file
+  # Set spec filename
+  sed "s@%PKGNAME%@${pkgname}@" -i ${file}
+  unset version package
+
+  # 12. Use %{buildroot} instead of $PKG_DEST in %install
+  if test "$(grep "^%install" $file)" != ""; then
+    start=`grep -n "^%install" ${file} | head -n1 | cut -d ":" -f 1`
+    stoplist=`grep -n "^#### Generic" ${file} | cut -d ":" -f 1`
+      for stop in $stoplist; do
+        if test $stop -gt $start; then
+          break;
+        fi
+      done
+    sed -e "${start},${stop} {s@\$PKG_DEST@%{buildroot}@g}" -i ${file}
+  fi
+  unset start stop stoplist
+
+  # 13. Use Source1 instead of tar relative paths
+  # LFS doesn't use more than one extra source file
+  sed -e '/^tar/s@\.\./@../../SOURCES/@' \
+      -e '/^tar/s@\.\./SOURCES/\.\./@../../SOURCES/@' -i ${file}
+
+  # 14. Use "%patchX -p1" instead of patch -Np1 -i ../patch
+  patchlines=`grep -n "^patch" ${file} | cut -d ":" -f 1`
+  if test "${patchlines}x" != "x"; then
+    count=0
+    for line in ${patchlines}; do
+      sed "${line}s@^.*@%patch${count} -p1@" -i ${file}
+      let count++
+    done
+  fi
+  unset patchlines count
+
+  # 15. Don't remove PKG_DEST before cd'ing out of it and pass the spec file
+  sed "s@^packInstall@packInstall ${pkgname}.spec\ncd \$SRC_DIR@" -i ${file}
+
+  # 16. If there isn't a prep stage, add one
+  grep -q "^%prep" ${file} || for block in build check install; do
+    grep -q "^%${block}" ${file} && sed "s@^%${block}@%prep\n%setup -n %{name}-%{version}\n\n%${block}@" -i ${file} && break;
+  done
+
+  # 17. We don't untar, and we are done with $PREV_SEC, so don't juggle time
+  sed '/PREV_SEC/d' -i ${file}
+
+  echo "done"
+done
+
+rm -f ${tempfile}
+unset tempfile file pkgname
+
+# We still need to do these few for the chapter-08 addtions
+for file in ${JHALFSDIR}/lfs-commands/chapter08/8[0-9][0-9]-[0-9][0-9]-* ; do
+  pkgname=`grep -m1 "^Name:" ${file} | cut -d " " -f 2`
+  sed "s@^packInstall@packInstall ${pkgname}.spec@" -i ${file}
+  sed -e "s@^tar -xf \$PACKAGE@rm -rf \$PKG_DEST\ninstall -d \$PKG_DEST@" \
+      -i ${file}
+  sed 's@^cd $PKGDIR@cd $PKG_DEST@' -i ${file}
+  sed '/^rm -rf $PKGDIR/d' -i ${file}
+  sed '/^if \[ -d "${PKGDIR/d' -i ${file}
+done
+
+unset file
+echo "done"
+
+
+
+#### Add license info
+echo -n "Processing License values..."
+for file in \
+  ${JHALFSDIR}/lfs-commands/chapter{08/*,09/*-bootscripts,10/*-kernel}; do
+
+  # Skip pkgmgt, stripping, and revisedchroot
+  scriptfile=`basename ${file}`
+  echo "${scriptfile}" | grep "pkgmgt" > /dev/null && continue;
+  echo "${scriptfile}" | grep "stripping" > /dev/null && continue;
+  echo "${scriptfile}" | grep "revisedchroot" > /dev/null && continue;
+  unset scriptfile
+
+  pkgname=`grep "^Name: " ${file} | sed 's@Name: @@'`
+  if test "${pkgname}"x != "x"; then
+    license=`grep "^${pkgname}=" ${JHALFSDIR}/licenses.list | \
+              cut -d "=" -f 2 | sed 's@"@@g'`
+    if test "${license}x" == "x"; then
+      continue;
+    else
+      sed "s@^License:@License: ${license}@" -i ${file}
+    fi
+  fi
+done
+unset file license
+echo "done"
+
+
+#### Add dependency info
+echo -n "Processing BuildRequires, Requires, and Suggests values..."
+for file in \
+  ${JHALFSDIR}/lfs-commands/chapter{08/*,09/*-bootscripts,10/*-kernel}; do
+
+  # Skip pkgmgt, stripping, revisedchroot, and PM packages
+  scriptfile=`basename ${file}`
+  echo "${scriptfile}" | grep -q "pkgmgt" && continue;
+  echo "${scriptfile}" | grep -q "stripping" && continue;
+  echo "${scriptfile}" | grep -q "revisedchroot" && continue;
+  echo "${scriptfile}" | grep -q "8[0-9][0-9]-[0-9][0-9]" && continue;
+  unset scriptfile
+
+  pkgname=`grep "^Name:" ${file} | sed 's@Name: @@'`
+  if test "${pkgname}"x != "x"; then
+    depends=`grep "^${pkgname}-rundeps" ${JHALFSDIR}/dependencies.list`
+    makedeps=`grep "^${pkgname}-depends" ${JHALFSDIR}/dependencies.list`
+    checkdeps=`grep "^${pkgname}-testdeps" ${JHALFSDIR}/dependencies.list`
+    optdeps=`grep "^${pkgname}-optdeps" ${JHALFSDIR}/dependencies.list`
+  fi
+  # Requires:
+  depends=`echo ${depends} | cut -d "=" -f 2 | sed 's@"@@g' | sed 's@,@@g'`
+  sed "s@^Requires:@Requires: rootfs ${depends}@" -i ${file}
+  # BuildRequires: (includes checkdeps for rpm)
+  if test "${makedeps}x" != "x"; then
+    makedeps=`echo "${makedeps}" | cut -d "=" -f 2 | sed 's@"@@g' | sed 's@,@@g'`
+    checkdeps=`echo "${checkdeps}" | cut -d "=" -f 2 | sed 's@"@@g' | sed 's@,@@g'`
+    makedeps="${makedeps} ${checkdeps}"
+    sed "s@^BuildRequires:@BuildRequires: ${makedeps}@" -i ${file}
+  else
+    sed '/^BuildRequires:/d' -i ${file}
+  fi
+  # Suggests:
+  if test "${optdeps}x" != "x"; then
+    optdeps=`echo "${optdeps}" | cut -d "=" -f 2 | sed 's@"@@g' | sed 's@,@@g'`
+    sed "s@^Suggests:@Suggests: ${optdeps}@" -i ${file}
+  else
+    sed '/^Suggests:/d' -i ${file}
+  fi
+done
+unset file pkgname depends makedeps checkdeps optdeps
+echo "done"
+
+
+#### Add source files
+echo -n "Processing Source values..."
+for file in \
+  ${JHALFSDIR}/lfs-commands/chapter{08/*,09/*-bootscripts,10/*-kernel}; do
+
+  # Skip pkgmgt, stripping, revisedchroot, and PM packages
+  scriptfile=`basename ${file}`
+  echo "${scriptfile}" | grep -q "pkgmgt" && continue;
+  echo "${scriptfile}" | grep -q "stripping" && continue;
+  echo "${scriptfile}" | grep -q "revisedchroot" && continue;
+  echo "${scriptfile}" | grep -q "8[0-9][0-9]-[0-9][0-9]" && continue;
+  unset scriptfile
+
+  pkgname=`grep "^Name:" ${file} | sed 's@Name: @@'`
+  if test "${pkgname}"x != "x"; then
+    tempfile=`mktemp`
+    tempfile2=`mktemp`
+    tempfile3=`mktemp`
+    tempfile4=`mktemp`
+    # expect and tcl are special cases
+    if test "${pkgname}" == "tcl" -o "${pkgname}" == "expect"; then
+      grep "/${pkgname}/" ${JHALFSDIR}/urls.list > ${tempfile}
+    else
+      grep "${pkgname}-" ${JHALFSDIR}/urls.list > ${tempfile}
+    fi
+    # libelf is a special case
+    if test "${pkgname}" == "libelf"; then
+      grep "elfutils" ${JHALFSDIR}/urls.list > ${tempfile}
+    fi
+    # Special case for glibc
+    if test "${pkgname}" == "glibc"; then
+      grep "tzdata" ${JHALFSDIR}/urls.list >> ${tempfile}
+    fi
+    # Special case for linux
+    if test "${pkgname}" == "linux"; then
+      sed -e '/util-linux/d' -e '/libcap/d' -i ${tempfile}
+    fi
+    # Special case for Python
+    if test "${pkgname}" == "Python"; then
+      grep "Python-" ${JHALFSDIR}/urls.list > ${tempfile}
+      grep "python.*docs-html" ${JHALFSDIR}/urls.list >> ${tempfile}
+    fi
+    # Special case for make -- it pulls in automake
+    if test "${pkgname}" == "make"; then
+      sed '/automake/d' -i ${tempfile}
+    fi
+    # Sepcial case for eudev
+    if test "${pkgname}" == "eudev"; then
+      grep "udev-lfs" ${JHALFSDIR}/urls.list >> ${tempfile}
+    fi
+    cut -d " " -f 1 ${tempfile} > ${tempfile2}
+    scount=0
+    pcount=0
+    for dl in `cat ${tempfile2}`; do
+      echo ${dl} | grep -q "\.patch"
+      if test ${?} == 0; then
+        echo "Patch${pcount}: $( basename ${dl})" >> ${tempfile4}
+        let pcount++
+      else
+        echo "Source${scount}: $(basename ${dl})" >> ${tempfile3}
+        let scount++
+      fi
+    done
+    if test "${scount}" != "0"; then
+      sed "/^SourceX:/e cat ${tempfile3}" -i ${file}
+    fi
+    if test "${pcount}" != "0"; then
+      sed "/^SourceX:/e cat ${tempfile4}" -i ${file}
+    fi
+    sed '/^SourceX:/d' -i ${file}
+    rm -f ${tempfile} ${tempfile2} ${tempfile3} ${tempfile4}
+    unset tempfile tempfile2 tempfile3 tempfile4 pkgname scount pcount dl
+  fi
+done
+unset file
+echo "done"
+
+
+#### Package specific fixes
+
+echo -n "Applying package specific fixes..."
+
+# Special cases for chapter08 glibc
+# Don't strip
+sed -e "s@%description@%define __os_install_post %{?__brp_compress} %{nil}\n\n%description@" \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-glibc
+# It should install to %{buildroot}, but not try to use %{buildroot}/dev/null
+# Also use the just built zic
+sed "s@ZONEINFO=@# Note: you may want to separate zoneinfo from glibc\nZONEINFO=%{buildroot}@" \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-glibc
+sed 's@$PKG_DEST/dev/null@/dev/null@' \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-glibc
+sed 's@zic @%{buildroot}/usr/sbin/zic @g' \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-glibc
+# Don't overwrite ld.so.c{ache,onf}
+sed "s@^#### Generic@# Included in rootfs\nrm -f %{buildroot}/etc/ld.so.{conf,cache}\nrm -rf %{buildroot}/root\n\n#### Generic@" \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-glibc
+sed '/^cat > \/etc\/ld.so.conf/,+5 d' \
+   -i ${JHALFSDIR}/lfs-commands/chapter08/*-glibc
+
+
+# Special cases for GCC
+# don't strip
+sed -e "s@%description@%define __os_install_post %{?__brp_compress} %{nil}\n\n%description@" \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-gcc
+# needs /usr/lib/bfd-plugins
+sed "s@^mkdir -pv %{buildroot}/{boot,etc}@mkdir -pv %{buildroot}/usr/lib/bfd-plugins\nmkdir -pv %{buildroot}/{boot,etc}@" \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-gcc
+
+
+# binutils
+# Don't strip
+sed -e "s@%description@%define __os_install_post %{?__brp_compress} %{nil}\n\n%description@" \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-binutils
+#skip the expect -c check
+sed '/^expect -c "spawn ls"/d' \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-binutils
+
+# GMP - make it build for uname -m, not cpu generation
+sed "s@./configure@cp -v config{fsf,}.guess\ncp -v config{fsf,}.sub\n./configure@" \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-gmp
+
+
+# Shadow in chapter08 will already have /usr/bin/passwd
+sed '/^touch \/usr\/bin\/passwd/d' \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-shadow
+# Also, the useradd command is not yet present so do it the other way
+sed "s@^useradd -D --gid 999@install -vdm755 %{buildroot}/etc/default\necho \"GROUPS=999\" >> %{buildroot}/etc/default/useradd@" \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-shadow
+
+
+# libelf - change name
+sed -e "s@Name: elfutils@Name: libelf@" \
+    -e "s@elfutils @libelf @g" \
+    -e "s@elfutils\.spec@libelf.spec@g" \
+    -e "/^%setup/s@%{name}@elfutils@" \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-libelf
+
+# xml-parser - change name
+sed -e "s@Name: XML-Parser@Name: xml-parser@" \
+    -e "s@XML-Parser @xml-parser @g" \
+    -e "s@XML-Parser\.spec@xml-parser.spec@g" \
+    -e "/^%setup/s@%{name}@XML-Parser@" \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-xml-parser
+
+# Python in LFS chapter08 should not install ensurepip - it was installed in
+# chapter07 and pip and setuptools will be reinstalled in chapter08 sepearately
+sed '/ensurepip/s/yes/no /' -i ${JHALFSDIR}/lfs-commands/chapter08/*-Python
+# python change pkgname to lower case
+sed -e "s@Name: Python@Name: python@" \
+    -e "s@Python @python @g" \
+    -e "s@Python\.spec@python.spec@g" \
+    -e "/^%setup/s@%{name}@Python@" \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-Python
+
+
+# rootfs is a special case too...no source file
+sed -e '/^PKGDIR/d' \
+    -e '/^tar -xf $PACKAGE/d' \
+    -e '/^cd $PKGDIR/d' \
+    -i ${JHALFSDIR}/lfs-commands/chapter07/*-rootfs
+
+
+# tcl needs a bit of help getting the pkgname and pkgver correct
+origpkgname=`grep "^Name:" ${JHALFSDIR}/lfs-commands/chapter08/*-tcl | \
+             cut -d " " -f 2`
+pkgname="tcl"
+pkgver=`echo "${origpkgname}" | sed "s@${pkgname}@@"`
+sed "/^Name:/s@${pkgname}${pkgver}@${pkgname}@" \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-tcl
+sed "/^Version:/s@src@${pkgver}@" \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-tcl
+sed "/^Summary:/s@${origpkgname} src@${pkgname} ${pkgver}@" \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-tcl
+sed "/\.spec/s@${origpkgname}@${pkgname}@" \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-tcl
+# tcl also has a weird extract directory and a subdir build
+file="${JHALFSDIR}/lfs-commands/chapter08/*-tcl"
+sed '/^%setup/s@%{name}-%{version}@%{name}%{version}@' -i ${file}
+sed "s@^%check@%check\ncd unix@" -i ${file}
+sed "s@^%install@%install\ncd unix@" -i ${file}
+sed -e '/^%files/s@files\.@unix/files.@' -i ${file}
+unset file origpkgname pkgname pkgver
+
+
+# expect also has a weird tarball name
+origpkgname=`grep "^Version:" ${JHALFSDIR}/lfs-commands/chapter08/*-expect | \
+             cut -d " " -f 2`
+pkgname="expect"
+pkgver=`echo "${origpkgname}" | sed "s@${pkgname}@@"`
+sed "s@^Name: ${origpkgname}@Name: ${pkgname}@" \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-expect
+sed "s@^Version: ${pkgname}${pkgver}@Version: ${pkgver}@" \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-expect
+sed "s@^Summary: ${origpkgname}@Summary: ${pkgname} ${pkgver}@" \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-expect
+sed "s@${pkgname}-${pkgver}@${pkgname}${pkgver}@" \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-expect
+sed '/^%setup/s@%{name}-%{version}@%{name}%{version}@' \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-expect
+
+# ncurses - again, fix installation of non-wide libraries
+#           won't hurt anything if missing
+sed '/^cp -av lib\/lib/s@ /usr/lib@ %{buildroot}/usr/lib@' \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-ncurses
+sed 's@^EOF@@' -i ${JHALFSDIR}/lfs-commands/chapter08/*-ncurses
+# Also, fix a potential race condition when building non-wide ncurses
+sed 's@^make sources@make -j1 sources@' \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-ncurses
+
+
+# Python has a multiline tar command that wasn't fixed earlier
+sed -e '/\.\.\/python-.*-docs-html/s@\.\.@../../SOURCES@' \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-Python
+
+
+# procps-ng extracts to procps-${pkgver}
+sed -e "/^%setup/s@%{name}@procps@" \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-procps-ng
+
+
+# e2fsprogs unzips the info files and attempts to install with install-info
+# don't update info's dir, this will be done after the fact
+sed -e '/^install-info/d' \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-e2fsprogs
+
+# libxml2's testsuite leaves an extra file around
+sed -e "s@ install@ install\nrm -f %{buildroot}/missing.xml@" \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-libxml2
+
+# metapackages have no source
+sed '/^PKGDIR/d' -i ${JHALFSDIR}/lfs-commands/chapter08/*-{base,base-rpm}*
+
+
+# kernel -- FIXME - get the name of the file to here....
+sed -e "/cp -v ..\/kernel-config/d" \
+    -e "s@make mrproper@make mrproper\ncp /sources/kernel-config .config@" \
+    -i  ${JHALFSDIR}/lfs-commands/chapter10/*-kernel
+# run depmod when modules are installed
+tempfile=`mktemp`
+cat > ${tempfile} << "EOF"
+%transfiletriggerin -- /usr/lib/modules
+test -x /usr/sbin/depmod &&
+/usr/sbin/depmod %{version}
+
+%transfiletriggerpostun -- /usr/lib/modules
+test -x /usr/sbin/depmod &&
+/usr/sbin/ldconfig %{version}
+
+EOF
+sed "/^%description/e cat ${tempfile}" \
+    -i ${JHALFSDIR}/lfs-commands/chapter10/*-kernel
+rm -f "${tempfile}"
+unset tempfile
+# Don't strip the kernel
+sed -e "s@%description@%define __os_install_post %{?__brp_compress} %{nil}\n\n%description@" \
+    -i ${JHALFSDIR}/lfs-commands/chapter10/*-kernel
+unset md5sum
+
+echo "done"
+
+#### WARNING
+echo -en "\n\nWARNING!\n\n"
+echo "While the installed packages created here should be identical to more"
+echo "traditional packages created elsewhere with the same commands from the"
+echo "LFS book, there are many instructions, especially in the %install"
+echo "block, that could be streamlined. For instance, creating an entire"
+echo "directory tree in DESTDIR is unnecessary. This is a function of modifying"
+echo "the instructions in the LFS book, which are intended to be used when"
+echo "installing directly to the target, to use DESTDIR style installations"
+echo "in an automated way. Additonally, if you've used optimizations for the"
+echo "initial build, you'll want to remove those and the use the packaing"
+echo "tool's method to introduce global optimizations and override on an"
+echo "as needed basis. Finally, if you used the 'continue on test failures'"
+echo "option, you should remove the '|| true' in the %check block, and adjust"
+echo -e "for specific, known failures.\n"
+
+echo "It is expected that you modify the resultant spec files to elminiate"
+echo "these extraneous commands, and use more PM specific commands as you"
+echo "maintain the system through package upgrades and ongoing system"
+echo -e "maintenance.\n"
+
diff --git a/pkgmngt/packInstall.sh.pacman b/pkgmngt/packInstall.sh.pacman
index 00d036c..408b71e 100644
--- a/pkgmngt/packInstall.sh.pacman
+++ b/pkgmngt/packInstall.sh.pacman
@@ -4,59 +4,30 @@
 # Other variables can be passed on the command line, or in the environment
 
 packInstall() {
+  # Get the name, version, release, and arch of the package
+  pkgname=$(grep "^pkgname" PKGBUILD | cut -d "=" -f 2 | sed 's@"@@g')
+  pkgver=$(grep "^pkgver" PKGBUILD | cut -d "=" -f 2 | sed 's@"@@g')
+  pkgrel=$(grep "^pkgrel" PKGBUILD | cut -d "=" -f 2 | sed 's@"@@g')
+  arch=$(grep "^arch" PKGBUILD | cut -d "=" -f 2 | sed 's@"@@g' | \
+                                                   sed "s@'@@g" | \
+                                                   sed "s@(@@g" | \
+                                                   sed "s@)@@g")
 
-# A proposed implementation for versions and package names.
-local PCKGVRS=$(basename $PKGDIR)
-local TGTPKG=$(basename $PKG_DEST)
-local PACKAGE=$(echo ${TGTPKG} | sed 's/^[0-9]\{3,4\}-//' |
-           sed 's/^[0-9]\{2\}-//')
-# version is only accessible from PKGDIR name. Since the format of the
-# name is not normalized, several hacks are necessary...
-case $PCKGVRS in
-  expect*|tcl*) local VERSION=$(echo $PCKGVRS | sed 's/^[^0-9]*//') ;;
-  unzip*) local VERSION=$(echo $PCKGVRS | sed 's/^[^0-9]*\([0-9]\)\([0-9]\)/\1.\2/') ;;
-  docbook-xml) local VERSION=4.5 ;;
-  *) local VERSION=$(echo ${PCKGVRS} | sed 's/^.*[-_]\([0-9]\)/\1/' |
-                   sed 's/_/./g');;
-# the last sed above is because some package managers do not want a '_'
-# in version.
-esac
-case $(uname -m) in
-  x86_64) local ARCH=x86_64 ;;
-  *) local ARCH=i686 ;;
-esac
-local ARCHIVE_NAME=${PACKAGE}-${VERSION}-1-${ARCH}.pkg.tar.gz
+  # Save the source files
+  mkdir -p /srv/pacman/source/LFS/${pkgname}
+  cp * /srv/pacman/source/LFS/${pkgname}/
 
-pushd $PKG_DEST
-rm -fv ./usr/share/info/dir  # recommended since this directory is already there
-                             # on the system
-# Right now, we have the files in the current directory. They should be moved
-# to /sources/$PACKAGE/src.
-mkdir -p ../$PACKAGE/src
-# We'll build as user builder. We need this directory to be owned by that user.
-chown -R builder ../$PACKAGE
-mv * ../$PACKAGE/src
-chown -R builder $PKG_DEST
-chmod -R o+r ../$PACKAGE
+  # Now build the thing
+  su pacman -c "LANG=en_US.UTF-8 /usr/bin/makepkg -L --nodeps"
 
-cat > PKGBUILD <<EOF
-pkgname=( '$PACKAGE' )
-pkgver=$VERSION
-pkgrel=1
-pkgdesc=$PACKAGE
-arch=( '$ARCH' )
+  # Add it to the local repo
+  repo-add \
+    /srv/pacman/repos/LFS/LFS.db.tar.xz \
+    /srv/pacman/repos/LFS/${pkgname}-${pkgver}-${pkgrel}-${arch}.pkg.tar.xz
 
-package() {
-cp -a * \$pkgdir
-}
-EOF
-# Building the binary package
-su builder -c"PATH=$PATH; makepkg -c --skipinteg" || true
-# Installing it on LFS
-if ! pacman -U --noconfirm /var/lib/packages/$ARCHIVE_NAME; then
-     pacman -U --noconfirm --overwrite '*' /var/lib/packages/$ARCHIVE_NAME
-fi
-popd                         # Since the $PKG_DEST directory is destroyed
-                             # immediately after the return of the function,
-                             # getting back to $PKGDIR is important...
+  # Sync with the repo
+  pacman -Syu
+
+  # Finally, install from the local repo
+  pacman -S ${pkgname} --nodeps --overwrite "*" --noconfirm -dd
 }
